document.addEventListener("DOMContentLoaded", function(event) { 	
	"use strict";
				
	if(typeof oraksoft_js_data == 'undefined') return;
	
	var time_interval = parseInt(oraksoft_js_data.notification_check_interval*1000);
	
	if(!isNaN(time_interval) && time_interval > 1) setInterval(check_orders, time_interval);
	
	function check_orders()
	{
		var xhr = new XMLHttpRequest();
		xhr.open("POST", oraksoft_js_data.site_url+'/wp-admin/admin-ajax.php', true);
		xhr.setRequestHeader("Content-Type", "application/x-www-form-urlencoded; charset=UTF-8");
		xhr.onreadystatechange = function() 
		{
			if (xhr.readyState == 4) 
			{
				var response = parseInt(xhr.responseText);
				
				if(response != -1 && response > 0) 
				{
					if(typeof oraksoft_js_data.use_desktop_notification != 'undefined' && oraksoft_js_data.use_desktop_notification == 1)
					{
						var n = new Notification(oraksoft_js_data.d_notification_title, {icon: oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-icons/'+oraksoft_js_data.notification_logo, body: oraksoft_js_data.d_notification_body});
						n.onclick = function() {
							window.open(oraksoft_js_data.admin_url+"post.php?post="+response+"&action=edit");
						}
					}
					
					if(typeof oraksoft_js_data.use_sound_notification != 'undefined' && oraksoft_js_data.use_sound_notification == 1)
					{
						document.body.innerHTML += '<audio autoplay="autoplay"><source src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+oraksoft_js_data.sound_notification_file+'" type="audio/mpeg" /><embed hidden="true" autostart="true" loop="false" src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+oraksoft_js_data.sound_notification_file+'" /></audio>';
			
						if(typeof oraksoft_js_data.repeat_sound_notification != 'undefined' && oraksoft_js_data.repeat_sound_notification == 1) {
							setInterval(function() {
								document.body.innerHTML += '<audio autoplay="autoplay"><source src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+oraksoft_js_data.sound_notification_file+'" type="audio/mpeg" /><embed hidden="true" autostart="true" loop="false" src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+oraksoft_js_data.sound_notification_file+'" /></audio>';
							}, 10000);
						}
					}

					
					if(typeof oraksoft_js_data.use_tab_notification != 'undefined' && oraksoft_js_data.use_tab_notification == 1)
					{
						var original_title = document.title;
						setInterval(function() {
							var title = document.title;
							if(title == original_title) {
								document.title = oraksoft_js_data.tab_notification_blink_text;
							} else {
								document.title = original_title;
							}
						}, 1000);
					}
				}
			}
		}
		xhr.send('action=check_orders');
	}
	
	Notification.requestPermission();
});

function changeNotificationLogo(assets_dir, sel) {
	var value = sel.value;
	document.getElementById('notification-logo-preview').src = assets_dir+'/notification-icons/'+value;
}

function previewNotificationSound() {
	var e = document.getElementById("sound_notification_file");
    var file_to_play = e.options[e.selectedIndex].value; 
	if(document.getElementById("audio_preview")) {
		document.getElementById("random_data").removeChild(document.getElementById("audio_preview"));
	}
	document.getElementById("random_data").innerHTML += '<audio id="audio_preview" style="display:none;" autoplay="autoplay"><source src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+file_to_play+'" type="audio/mpeg" /><embed hidden="true" autostart="true" loop="false" src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+file_to_play+'" /></audio>';
}

function previewGivenNotification(file_to_play) {
	if(document.getElementById("audio_preview_g")) {
		document.getElementById("notification_sounds_table").removeChild(document.getElementById("audio_preview_g"));
	}
	document.getElementById("notification_sounds_table").innerHTML += '<audio id="audio_preview_g" style="display:none;" autoplay="autoplay"><source src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+file_to_play+'" type="audio/mpeg" /><embed hidden="true" autostart="true" loop="false" src="' + oraksoft_js_data.site_url + '/wp-content/plugins/woocommerce-realtime-notifications/assets/notification-sounds/'+file_to_play+'" /></audio>';
}